Skip to Content
inclamoDocs

Get outgoing messages count grouped by entity

GET
/api/v2/accounts/{account_id}/reports/outgoing_messages_count

Get the count of outgoing messages grouped by a specified entity (agent, team, inbox, or label). When grouped by agent, messages sent by bots (AgentBot, Captain::Assistant) are excluded.

Note: This API endpoint is available only in Chatwoot version 4.11.0 and above.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

group_by*string

The entity to group outgoing message counts by.

Value in"agent""team""inbox""label"
since?string

The timestamp from where report should start (Unix timestamp).

until?string

The timestamp from where report should stop (Unix timestamp).

Response Body

Success

application/json
  1. response

Outgoing messages count report grouped by entity (agent, team, inbox, or label).

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports/outgoing_messages_count?group_by=agent'
Example Response
[  {    "id": 0,    "name": "string",    "outgoing_messages_count": 0  }]